How To:

Install the Xposed Framework on Your Rooted LG G3 for 100s of Fast & Easy Mods

If you've done any root-level hacking or modding on any of your previous Android devices, you're probably well familiar with Rovo89's famous Xposed Framework.

This tool allows you to customize pretty much any Android device to your heart's content without needing an unlocked bootloader or by flashing mods through a custom recovery. Best of all, the Xposed Repository makes it a cinch to find and install various "modules" on your device.

Now that root is available for all variants of the LG G3, the first thing you'll want to do is get the Xposed Installer, and here's how you do that.

Step 1: Install the Xposed Installer App

From your device, download and install the Xposed Installer APK from the Xposed Repository online. Alternatively, you can also tap here to download the latest stable version. Since this is an APK file, you'll need to make sure that you have installation from "Unknown sources" enabled on your device.

Step 2: Install the Xposed Framework

Now that the Installer app is on your device, open it up to install the actual Framework on your system. Head to Framework, hit OK at the warning, then select Install/Update and grant it Superuser permissions. Once done, hit OK when asked to reboot.

Step 3: Search & Download the Xposed Modules

Once back up, open Xposed Installer from your app drawer, and select Downloads. This is where just about all of the Xposed modules reside. Select a module to see its full description, then swipe to the right to see its available download versions.

Step 4: Adjust the Xposed Settings

From the main Xposed Installer screen, select Settings to adjust the module versions to be shown and select a theme (other settings here should be left alone).

And that's about it. We'll have plenty of guides showcasing various modules for the LG G3 coming soon, but for now you can browse through the multitude that we've already covered, many of which are universal across all Android devices.

5 Comments

As my friend above says, does it work for Lollipop yet?

sorry can you help me the framework not updating can you help to fix it. it says (xposed is not (yet) compatible with Android SDK version 21 or your processor architecture (armeabi-v7a) .

Share Your Thoughts

  • Hot
  • Latest